org.apache.cassandra.transport

## Class Frame.Decoder

- java.lang.Object
- - org.jboss.netty.channel.SimpleChannelUpstreamHandler
  - - org.jboss.netty.handler.codec.frame.FrameDecoder
    - - org.jboss.netty.handler.codec.frame.LengthFieldBasedFrameDecoder
      - - org.apache.cassandra.transport.Frame.Decoder

- All Implemented Interfaces:
    org.jboss.netty.channel.ChannelHandler, org.jboss.netty.channel.ChannelUpstreamHandler, org.jboss.netty.channel.LifeCycleAwareChannelHandler
  Enclosing class:
    Frame

      public static class Frame.Decoder
      extends org.jboss.netty.handler.codec.frame.LengthFieldBasedFrameDecoder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler

      `org.jboss.netty.channel.ChannelHandler.Sharable`

  - ### Field Summary

    - ### Fields inherited from class org.jboss.netty.handler.codec.frame.FrameDecoder

      `cumulation, DEFAULT_MAX_COMPOSITEBUFFER_COMPONENTS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Frame.Decoder(Connection.Tracker tracker, Connection.Factory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `channelOpen(org.jboss.netty.channel.ChannelHandlerContext ctx, org.jboss.netty.channel.ChannelStateEvent e)`
    `protected java.lang.Object` | `decode(org.jboss.netty.channel.ChannelHandlerContext ctx, org.jboss.netty.channel.Channel channel, org.jboss.netty.buffer.ChannelBuffer buffer)`

    - ### Methods inherited from class org.jboss.netty.handler.codec.frame.FrameDecoder

      `actualReadableBytes, afterAdd, afterRemove, appendToCumulation, beforeAdd, beforeRemove, channelClosed, channelDisconnected, cleanup, decodeLast, exceptionCaught, extractFrame, getMaxCumulationBufferCapacity, getMaxCumulationBufferComponents, internalBuffer, isUnfold, messageReceived, newCumulationBuffer, replace, setMaxCumulationBufferCapacity, setMaxCumulationBufferComponents, setUnfold, unfoldAndFireMessageReceived, updateCumulation`

    - ### Methods inherited from class org.jboss.netty.channel.SimpleChannelUpstreamHandler

      `channelBound, channelConnected, channelInterestChanged, channelUnbound, childChannelClosed, childChannelOpen, handleUpstream, writeComplete`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Frame.Decoder

          public Frame.Decoder(Connection.Tracker tracker,
                       Connection.Factory factory)

  - ### Method Detail

    - #### channelOpen

          public void channelOpen(org.jboss.netty.channel.ChannelHandlerContext ctx,
                         org.jboss.netty.channel.ChannelStateEvent e)
                           throws java.lang.Exception

      Overrides:
        `channelOpen` in class `org.jboss.netty.channel.SimpleChannelUpstreamHandler`
      Throws:
        `java.lang.Exception`

    - #### decode

          protected java.lang.Object decode(org.jboss.netty.channel.ChannelHandlerContext ctx,
                                org.jboss.netty.channel.Channel channel,
                                org.jboss.netty.buffer.ChannelBuffer buffer)
                                     throws java.lang.Exception

      Overrides:
        `decode` in class `org.jboss.netty.handler.codec.frame.LengthFieldBasedFrameDecoder`
      Throws:
        `java.lang.Exception`

Copyright © 2014 The Apache Software Foundation